str.c File Reference
`#include "coap_config.h"`
`#include <stdio.h>`
`#include "debug.h"`
`#include "mem.h"`
`#include "str.h"`
Include dependency graph for str.c:

Go to the source code of this file.

## Functions

str * | coap_new_string (size_t size)
| Returns a new string object with at least size bytes storage allocated. More...
void | coap_delete_string (str *s)
| Deletes the given string and releases any memory allocated. More...

## Function Documentation

## coap_delete_string()

void coap_delete_string | ( | str * | s | ) |

Deletes the given string and releases any memory allocated.

Definition at line 31 of file str.c.

Here is the call graph for this function:

## coap_new_string()

str* coap_new_string | ( | size_t | size | ) |

Returns a new string object with at least size bytes storage allocated.

The string must be released using coap_delete_string();

Definition at line 17 of file str.c.

Here is the call graph for this function: